#!/bin/bash

#--mem=20G
#--gres=gpu:0

hostname
echo $CUDA_VISIBLE_DEVICES

min=1
max=5
inter=1
# declare an array to loop through
declare -a methods=("cdt" "sdt")

## now loop through the above array
for method in "${methods[@]}";
do
    for ((i=min; i <= max; i+=inter));
    do 
        echo python3 il_train2.py --method="$method" --id="$i"
        python3 il_train2.py --method="$method" --id="$i"
    done
done
